extends Control

var mesh: SphereMesh

# Called when the node enters the scene tree for the first time.
func set_mesh(new_mesh: Mesh):
	mesh = new_mesh



func _on_add_pressed() -> void:
	if mesh == null:
		return
	mesh.radius += 10
	mesh.height += 20


func _on_subtract_pressed() -> void:
	if mesh == null:
		return
	mesh.radius = max(10, mesh.radius - 10)
	mesh.height = max(20, mesh.height - 20)
